<div>
    <h2 id="page-heading">
        <span jhiTranslate="gestioncvsApp.ressourcePropose.home.title">Ressource Proposes</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-ressource-propose" [routerLink]="['/ressource-propose/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="gestioncvsApp.ressourcePropose.home.createLabel">
            Create a new Ressource Propose
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="ressourceProposes?.length === 0">
        <span jhiTranslate="gestioncvsApp.ressourcePropose.home.notFound">No ressourceProposes found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="ressourceProposes && ressourceProposes.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="nom"><span jhiTranslate="gestioncvsApp.ressourcePropose.nom">Nom</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="prenom"><span jhiTranslate="gestioncvsApp.ressourcePropose.prenom">Prenom</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="posteActuel"><span jhiTranslate="gestioncvsApp.ressourcePropose.posteActuel">Poste Actuel</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="anciennete"><span jhiTranslate="gestioncvsApp.ressourcePropose.anciennete">Anciennete</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="ressourceDemandeId"><span jhiTranslate="gestioncvsApp.ressourcePropose.ressourceDemande">Ressource Demande</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="nomEquipeId"><span jhiTranslate="gestioncvsApp.ressourcePropose.nomEquipe">Nom Equipe</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let ressourcePropose of ressourceProposes ;trackBy: trackId">
                    <td><a [routerLink]="['/ressource-propose', ressourcePropose.id, 'view']">{{ ressourcePropose.id }}</a></td>
                    <td>{{ ressourcePropose.nom }}</td>
                    <td>{{ ressourcePropose.prenom }}</td>
                    <td>{{ ressourcePropose.posteActuel }}</td>
                    <td>{{ ressourcePropose.anciennete }}</td>
                    <td>
                        <div *ngIf="ressourcePropose.ressourceDemandeId">
                            <a [routerLink]="['/ressource-demande', ressourcePropose.ressourceDemandeId , 'view']" >{{ ressourcePropose.ressourceDemandeId }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="ressourcePropose.nomEquipeId">
                            <a [routerLink]="['/equipe', ressourcePropose.nomEquipeId , 'view']" >{{ ressourcePropose.nomEquipeId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/ressource-propose', ressourcePropose.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/ressource-propose', ressourcePropose.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(ressourcePropose)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="ressourceProposes && ressourceProposes.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
